Bug 138253 - adsl-connect remove default route
Summary: adsl-connect remove default route
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rp-pppoe   
(Show other bugs)
Version: 2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-06 09:37 UTC by Stas V. Shimov
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 21:18:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
adsl-connect patch to fix braindead DEFROUTE mixup (1.39 KB, patch)
2005-09-27 16:42 UTC, Trevor Cordes
no flags Details | Diff

Description Stas V. Shimov 2004-11-06 09:37:09 UTC
Description of problem:
When activating pppoe link adsl-connect script remove default route
from main routing table. This happened even when DEFROUTE in
ifcfg-pppX set to "no". Why it remove default route??? (Mistake in
adsl-connect script) As only new connection have been established and
ifup ppp0 finished, old default route is setting back as it was before.
If it can't set connection ifup exit, but default route stay removed.

Version-Release number of selected component (if applicable):
rp-pppoe-3.5-14.i386.rpm

How reproducible:
always happened

Steps to Reproduce:
1. Set some default route, 
2. adsl-config to configure new adsl connection
3. Edit ifcfg-ppp0 and set DEFROUTE=no
4. ifup ppp0 and while it is not returned watch your routing table.

  
Actual results:
default route removed

Expected results:
Default route is stay as was set and any actions with adsl interfaces
(that do not used as default route) do not have to influence on it.

Additional info:
Here is the patch

--- ./adsl-connect      2004-04-01 01:00:00.000000000 +0300
+++ /sbin/adsl-connect  2004-11-05 13:16:19.182657096 +0200
@@ -230,18 +230,18 @@
 fi
 
 if test "$DEFROUTE" != "no" ; then
-    DEFROUTE="defaultroute"
+    DEFROUTEC="defaultroute"
     # pppd will no longer delete an existing default route
     # so we have to help it out a little here.
     DEFRT=`ip route list | awk '/^default / { print $3 }'`
     [ -n "${DEFRT}" ] && echo $DEFRT > /etc/default-route
     route del default >/dev/null 2>&1
 else
-    DEFROUTE=""
+    DEFROUTEC=""
 fi
 
 # Standard PPP options we always use
-PPP_STD_OPTIONS="$IPPARAM $LINKNAME $PLUGIN_OPTS noipdefault noauth
default-asyncmap $DEFROUTE hide-password nodetach $PEERDNS mtu 1492
mru 1492 noaccomp noccp nobsdcomp nodeflate nopcomp novj novjccomp
user $USER lcp-echo-interval $LCP_INTERVAL lcp-echo-failure
$LCP_FAILURE $PPPD_EXTRA"
+PPP_STD_OPTIONS="$IPPARAM $LINKNAME $PLUGIN_OPTS noipdefault noauth
default-asyncmap $DEFROUTEC hide-password nodetach $PEERDNS mtu 1492
mru 1492 noaccomp noccp nobsdcomp nodeflate nopcomp novj novjccomp
user $USER lcp-echo-interval $LCP_INTERVAL lcp-echo-failure
$LCP_FAILURE $PPPD_EXTRA"
 
 # PPPoE invocation
 PPPOE_CMD="$PPPOE -p $PPPOE_PIDFILE -I $ETH -T $PPPOE_TIMEOUT -U
$PPPOE_SYNC $CLAMPMSS $ACNAME $SERVICENAME $PPPOE_EXTRA"

Comment 1 Matthew Miller 2005-04-26 16:36:50 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 2 Trevor Cordes 2005-09-27 16:40:50 UTC
This bug is still present, as of FC3 (and I'm guessing FC4).  It's very easy to
solve.  It cost me 3 hours of fudging until I realized it was a linux bug.  It
manifests itself whenever you have a pppoe link that has DEFROUTE=no, or, in my
case, when having 1 machine with 2 pppoe links, only one of which has DEFROUTE=yes.


Comment 3 Trevor Cordes 2005-09-27 16:42:30 UTC
Created attachment 119310 [details]
adsl-connect patch to fix braindead DEFROUTE mixup

Comment 4 Ngo Than 2005-09-28 21:18:01 UTC
it's already fixed in CVS, i will push it out for FC3/FC4 update this week.
Many thanks for your report.

Comment 5 Fedora Update System 2005-09-28 21:41:27 UTC
From User-Agent: XML-RPC

rp-pppoe-3.5-22.1 has been pushed for FC3, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.